version: '3.9'

services:
    google_search:
        image: 'ashiquzzaman33/google-search-svc:latest'
        deploy:
            replicas: 1
            update_config:
                parallelism: 1
                delay: 10s
            restart_policy:
                condition: on-failure
        environment:
            - KAFKA_URL=${KAFKA_URL:-kafka:9092}
            - READ_TOPIC_NAME=${READ_TOPIC_NAME:-google_scheduled_search_raw}
            - WRITE_TOPIC_NAME=${WRITE_TOPIC_NAME:-google_scheduled_search_done}
            - GROUP_ID=${GROUP_ID:-google_search_service}
            - SEARCH_LIMIT_PER_MINUTE=${SEARCH_LIMIT_PER_MINUTE:-5}
